module Empiric
  module Interface
    module Page
      def resize(width, height)
        browser.window.resize_to(width, height)
      end

      def position(x, y)
        browser.window.move_to(x, y)
      end

      alias resize_to resize
      alias move_to   position
    end
  end
end
