module Empiric
  VERSION = "0.1.0".freeze

  module_function

  def version
    """
Empiric v#{Empiric::VERSION}
watir-webdriver: #{Gem.loaded_specs['watir-webdriver'].version}
selenium-webdriver: #{Gem.loaded_specs['selenium-webdriver'].version}
    """
  end

  def dependencies
    puts Gem.loaded_specs.values.map { |x| "#{x.name} #{x.version}\n" }
      .uniq.sort.join(",").split(",")
  end
end
